now I decide to execute two macros to complete the task...a little bit tiring but much easier since I don't need to care about the syntax of part,product,document...
and I create an icon of Module1, put it in the macro
CATIA.StartCommand("Module1")
everything goes well when I execute the...
thank you
actually it's a module, not macro, I think they are a little different
and I only need to deal with the CATProduct, so 'if...then...' is not necessary
in a specific part, I want to modify the points in a geometry set in it, by FindObjectByName function
by the way, I can't use select...
so you means that
Set oPart = oProduct.Search("Name='Part1',all")
is that right or..?
sorry I know little about the language
can you just give me an example or briefly explain how to use this function?
and, I really want to know why can't I type like "Set oPart =oProduct.Part" ?
but what's the point?
now I try to focus on just a part of a product, but catia shows that the line "Set oPart = oProduct.Part" is worng
I don't know if the code behind the line will be the cause of error,
I don't think so, thus I didn't post it here. does it matter?
anyway, I'll try to make...
hi,
I have problem coding the catvba below
Dim oDocument As Document
Set oDocument = CATIA.ActiveDocument
Dim oProduct As Product
Set oProduct = oDocument.Product
Dim oPart As Part
Set oPart = oProduct.Part
Dim oPoint As Point
Set oPoint = oPart.FindObjectByName(Name)
so,how to fix this...
okay I'll clarify all things I want to do in my CATpart.
first, I import 3 sets of points to catia, then do splines of each set,
totally I have 3 point sets, 3 splines, but number of points is uncertain, maybe 35, 40...
so I think it is convenient to separate them into 3 geometry sets...
your explain is precisely, but I think I didn't clarify my problem
after I import the points, I need to create splines and then loft those splines,
sometimes I also have commands like scaling or rotate in it,
so, if I really create a new a spline, that means the whole part should be done...
If someone is willing to give it to me, that's fine, I could save much time.
but it's enough if I can get some useful tips here.
Some problems I can imagine, first, how to set name of new point,
second, how to make a spline based on a whole geometry set, so the spline can be made no matter how...
Hi,
I have seen the code above, it worked well, and thanks for the movie!
Now another problem I meet is that if I want to add or remove some points in the geometry set, how?
since not every set has same numbers of points.
Can I make it by the changes of the text file?
for example
I have 100...
Hi all,
I use GSD to import about 100 points from excel,
now I want to modify the coordinates of the points,
so I am thinking if I can associate the geometry set to a text or excel,
which means I can edit the coordinates by text or excel.
What I really need is modifying the coordinates(or...
uh...search what?
I know there's a function "thread/tap" in part design, but the worm shaft wasn't made by it, that is why the drawing shows like a 3D projection.
catia only changes a product into engineering form when it was made by the function in Drafting, I guess.
So, I wonder a way to...
Hi,
I made a drawing of a worm shaft, but it turned out to be this
http://i.imgur.com/hdKkrf5.png
I don't want it showed like this, how do I change it to a engineering formation?
I have tried some ways searched on the internet, but it didn't work.
If anyone knows the problem, plz tell me.
Thanks.
Hi, me again.
I have tried the 3dxml player, but I only see a solid body in it.
I can't edit, or even see the commands in model trees.
So, is there any way can export the whole product by catia v5,
and the product is able to be modified by others, like parameters?
Or should I use something...
Hi,
I have some problems with exporting cat files,
if I wanna let someone who doesn't have Catia see my product,
what kind of file can I export?
I mean, the man can still pan, rotate, and zoom in the file, it will be better that if parameters can be changed.
Is it possible without the software...